Loading...
Searching...
No Matches
svn_error_t Struct Reference

Subversion error object. More...

`#include <svn_types.h>`

## Data Fields

const char * | message
| APR error value; possibly an SVN_ custom error code (see `svn_error_codes.h' for a full listing).
struct svn_error_t * | child
| Pointer to the error we "wrap" (may be `NULL`).
apr_pool_t * | pool
| The pool in which this error object is allocated.
const char * | file
| Source file where the error originated (iff `SVN_DEBUG`; undefined otherwise).
long | line
| Source line where the error originated (iff `SVN_DEBUG`; undefined otherwise).

## Detailed Description

Subversion error object.

Defined here, rather than in svn_error.h, to avoid a recursive #include situation.

Definition at line 180 of file svn_types.h.

## Field Documentation

## child

struct svn_error_t* svn_error_t::child

Pointer to the error we "wrap" (may be `NULL`).

Via this member, individual error object can be strung together into an "error chain".

Definition at line 204 of file svn_types.h.

## file

const char* svn_error_t::file

Source file where the error originated (iff `SVN_DEBUG`; undefined otherwise).

Definition at line 215 of file svn_types.h.

## line

long svn_error_t::line

Source line where the error originated (iff `SVN_DEBUG`; undefined otherwise).

Definition at line 220 of file svn_types.h.

## message

const char* svn_error_t::message

APR error value; possibly an SVN_ custom error code (see `svn_error_codes.h' for a full listing).

*/ apr_status_t apr_err;

/** Details from the producer of error.

Note that if this error was generated by Subversion's API, you'll probably want to use svn_err_best_message() to get a single descriptive string for this error chain (see the child member) or svn_handle_error2() to print the error chain in full. This is because Subversion's API functions sometimes add many links to the error chain that lack details (used only to produce virtual stack traces). (Use svn_error_purge_tracing() to remove those trace-only links from the error chain.)

Definition at line 198 of file svn_types.h.

## pool

apr_pool_t* svn_error_t::pool

The pool in which this error object is allocated.

(If Subversion's APIs are used to manage error chains, then this pool will contain the whole error chain of which this object is a member.)

Definition at line 210 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h